version: 25.9.3
files:
  - url: Trezor-Suite-25.9.3-mac-x64.zip
    sha512: KsdnvLmPR3WmdgX+OLGUQ/ogG9lwV25stJItwmf/C66FAeseXyojssb5UF94Yee4zDBoPCIuf2yCAFv/3IclhQ==
    size: 172318484
  - url: Trezor-Suite-25.9.3-mac-arm64.zip
    sha512: ma//slQrm+4G+LHcVnaJW+hLnpPzUADDX0Zp/OGASej1nwQB99JX/SkJkuOVLVK/sOC/oarulXKWF4cTwWfTMA==
    size: 164989505
  - url: Trezor-Suite-25.9.3-mac-x64.dmg
    sha512: CmgPeFU89QQpJ+YeqEZf5W6yFmhYscwSRkujTwy5UDG9M7ZNTS4cDobQBxRL6bCnKsyB8n5w1UqdMwXqFmLMag==
    size: 178405472
  - url: Trezor-Suite-25.9.3-mac-arm64.dmg
    sha512: NQuiESl0FwFHFsm0+O2sH7CluC2QUV3q741PZI9pLArjvXwd8Lc5M5l6zs5D0ROUuJUh5TVAyDarIaloK3Uq7Q==
    size: 171077818
path: Trezor-Suite-25.9.3-mac-x64.zip
sha512: KsdnvLmPR3WmdgX+OLGUQ/ogG9lwV25stJItwmf/C66FAeseXyojssb5UF94Yee4zDBoPCIuf2yCAFv/3IclhQ==
releaseNotes: "### 🚀 New features\n\n- Biometric authentication is now supported—unlock Trezor Suite with Touch ID, Face ID, or Windows Hello for quick access and stronger protection.\n- MEV protection is active by default on Ethereum, Base, and BNB Smart Chain, and can be changed in Settings.\n- A new dashboard overview displays all staked assets in one place for clearer portfolio management.\n- Users can now claim the Cardano Midnight airdrop directly through Trezor Suite.\n\n### 🎨 Improvements\n\n- The approve/revoke flow for EVM token allowances has been redesigned for improved clarity and stronger security.\n- The welcome screen has been refreshed with a more consistent and polished design.\n- Send options have been streamlined—Locktime and Broadcast settings are now grouped under\_Advanced Send\_for better organization.\n- Graph messaging has been refined to provide clearer context and usability.\n\n### 🔧 Bug fixes\n\n- Minor bugs have been resolved, along with general usability enhancements for a more reliable and seamless experience.\n"
releaseDate: '2025-09-19T10:57:25.700Z'
stagingPercentage: 20
